# cpanel - Cpanel/Admin/Modules/Cpanel/server_id.pm
#                                     Copyright 2025 WebPros International, LLC.
#                                                           All rights reserved.
# copyright@cpanel.net                                         http://cpanel.net
# This code is subject to the cPanel license. Unauthorized copying is prohibited

package Cpanel::Admin::Modules::Cpanel::server_id;

use cPstrict;

use parent qw( Cpanel::Admin::Base );

=encoding utf-8

=head1 NAME

Cpanel::Admin::Modules::Cpanel::server_id

=head1 SYNOPSIS

  use Cpanel::AdminBin::Call ();

  Cpanel::AdminBin::Call::call( "Cpanel", "server_id", $action, {} );

=head1 DESCRIPTION

This admin bin is used by cPhlex plugins to execute code with root permissions.

=cut

sub _actions {
    return qw(GET_SERVER_UUID);
}

use constant _allowed_parents => (
    __PACKAGE__->SUPER::_allowed_parents(),
);

sub GET_SERVER_UUID {
    require Common::Plugins::ServerInfo;
    return Common::Plugins::ServerInfo::get_server_uuid();
}

1;
